Bug 959707 - AttributeError: 'NoneType' object has no attribute 'set_chosen'
Summary: AttributeError: 'NoneType' object has no attribute 'set_chosen'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8c6c3319808083d8ad1e02c9503...
Depends On:
Blocks: F19Beta, F19BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-05-04 23:21 UTC by Chris Murphy
Modified: 2013-05-18 04:55 UTC (History)
10 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-18 04:55:03 UTC


Attachments (Terms of Use)
File: anaconda-tb (821.46 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: anaconda.log (33.45 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: backtrace (545 bytes, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: environ (769 bytes, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: ifcfg.log (490 bytes, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: lsblk_output (2.59 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: messages (137.65 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: program.log (25.57 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details
File: storage.log (566.82 KB, text/plain)
2013-05-04 23:21 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-05-04 23:21:17 UTC
Description of problem:
The following was filed automatically by anaconda:
anaconda 19.24-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2324, in _save_current_selector
    self._current_selector.set_chosen(False)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2332, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
AttributeError: 'NoneType' object has no attribute 'set_chosen'

Version-Release number of selected component:
anaconda-19.24-1.fc19.x86_64

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
ureports_counter: 1
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2332, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2324, in _save_current_selector
    self._current_selector.set_chosen(False)
AttributeError: 'NoneType' object has no attribute 'set_chosen'

Comment 1 Chris Murphy 2013-05-04 23:21:21 UTC
Created attachment 743593 [details]
File: anaconda-tb

Comment 2 Chris Murphy 2013-05-04 23:21:24 UTC
Created attachment 743594 [details]
File: anaconda.log

Comment 3 Chris Murphy 2013-05-04 23:21:26 UTC
Created attachment 743595 [details]
File: backtrace

Comment 4 Chris Murphy 2013-05-04 23:21:28 UTC
Created attachment 743596 [details]
File: environ

Comment 5 Chris Murphy 2013-05-04 23:21:30 UTC
Created attachment 743597 [details]
File: ifcfg.log

Comment 6 Chris Murphy 2013-05-04 23:21:31 UTC
Created attachment 743598 [details]
File: lsblk_output

Comment 7 Chris Murphy 2013-05-04 23:21:33 UTC
Created attachment 743599 [details]
File: messages

Comment 8 Chris Murphy 2013-05-04 23:21:35 UTC
Created attachment 743600 [details]
File: nmcli_dev_list

Comment 9 Chris Murphy 2013-05-04 23:21:37 UTC
Created attachment 743601 [details]
File: program.log

Comment 10 Chris Murphy 2013-05-04 23:21:40 UTC
Created attachment 743602 [details]
File: storage.log

Comment 11 Martin Krizek 2013-05-09 09:02:24 UTC
Description of problem:
1. Go to Storage spoke
2. Select custom partitioning, Partition scheme: LVM
3. Create root partition BTRFS
4. Create /boot partition ext4
5. Create /home partition BTRFS
6. Click on/select root partition 

Note that we chose LVM as partition scheme but used BTRFS. This seems to cause the traceback.

Fedora 19 Beta TC3 DVD x86_64 in KVM.

Version-Release number of selected component:
anaconda-19.24-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC3\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC3

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 218, in _onSelectorClicked
    cb(selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2332, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2324, in _save_current_selector
    self._current_selector.set_chosen(False)
AttributeError: 'NoneType' object has no attribute 'set_chosen'

Comment 12 Martin Krizek 2013-05-10 08:12:41 UTC
Note that if BTRFS partition scheme is used, everythings works fine.

Proposing as a Beta Blocker per criterion: "Create mount points backed by ext4 partitions, LVM volumes or btrfs volumes, or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions"

Comment 13 Adam Williamson 2013-05-13 16:31:49 UTC
Discussed at 2013-05-13 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-13/f19beta-blocker-review-5.2013-05-13-16.00.log.txt . Accepted as a blocker per criterion cited in comment #12.

Comment 14 Fedora Update System 2013-05-15 22:25:14 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 15 Fedora Update System 2013-05-16 05:21:37 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 16 Martin Krizek 2013-05-16 07:49:42 UTC
Fixed in F19 Beta RC1.

Comment 17 Adam Williamson 2013-05-16 16:15:52 UTC
Thanks!

Comment 18 Fedora Update System 2013-05-18 04:55:03 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.